{% extends 'core/base.html' %}
{% load static %}
{% block title %}Perfiles{% endblock %}
{% block content %}
<style>.profile-avatar{float:left;width:4rem;height:4rem}.profile-data{padding-left:4.5rem;padding-top:.4rem;}</style>
<main role="main">
  <div class="container">
    <div class="row mt-3">
      <div class="col-md-9 mx-auto mb-5">
        <h2>Perfiles</h2>
        <div class="row">
          {% for profile in profile_list %}
            <div class="col-md-4 mt-2 mb-3 ">
              <div class="row p-1">
                <div class="col-md-12">
                  {% if profile.avatar %}
                    <img src="{{profile.avatar.url}}" class="img-fluid profile-avatar">
                  {% else %}
                    <img src="{% static 'registration/img/no-avatar.jpg' %}" class="img-fluid profile-avatar">
                  {% endif %}
                  <p class="profile-data">
                    <b>{{profile.user.first_name}} {{profile.user.last_name|truncatechars:"8"}}</b><br>
                    <a id="link_footer" href="{% url 'profiles:detail' profile.user %}">Ver perfil</a>
                  </p>
                </div>
              </div>
            </div>
          {% endfor %}
        </div>
        <!-- Menú de paginación -->
        {% if is_paginated %}
        <nav aria-label="Page navigation">
          <ul class="pagination justify-content-center">
            {% if page_obj.has_previous %}
              <li class="page-item ">
                <a class="page-link" href="?page={{ page_obj.previous_page_number }}">&laquo;</a>
              </li>
            {% else %}
              <li class="page-item disabled">
                <a class="page-link" href="#" tabindex="-1">&laquo;</a>
              </li>
            {% endif %}
            {% for i in paginator.page_range %}
              <li class="page-item {% if page_obj.number == i %}active{% endif %}">
                <a class="page-link" href="?page={{ i }}">{{ i }}</a>
              </li>
            {% endfor %}
            {% if page_obj.has_next %}
              <li class="page-item ">
                <a class="page-link" href="?page={{ page_obj.next_page_number }}">&raquo;</a>
              </li>
            {% else %}
              <li class="page-item disabled">
                <a class="page-link" href="#" tabindex="-1">&raquo;</a>
              </li>
            {% endif %}
          </ul>
        </nav>
        {% endif %}
      </div>
    </div>
  </div>
</main>
{% endblock %}